
%global meadversion 1.0.2
%global namedversion 1.0.2.redhat-00004
%global meadalpha .redhat_00004
%global meadrel .2
%global serial 3
%global namedversionrel redhat-00004

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package amazon-ion-java}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.0.2.redhat-00004

Name:           %{?scl_prefix}amazon-ion-java
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        A Java implementation of the Amazon Ion data notation.
Group:          Development/Java

%if %with mead
Source100: ion-java-1.0.2.redhat-00004-project-sources.tar.gz
Source102: ion-java-1.0.2.redhat-00004-javadoc.jar
Source103: ion-java-1.0.2.redhat-00004.pom
Source104: ion-java-1.0.2.redhat-00004-sources.jar
Source105: ion-java-1.0.2.redhat-00004.jar
%endif

License:        ASL 2.0
URL:            https://github.com/amznlabs/ion-java/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for amazon-ion-java
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n ion-java-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/ion-java-%{namedversion}.jar %{buildroot}%{_javadir}/ion-java-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/ion-java-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/ion-java-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/ion-java-%{namedversion}-sources.jar %{buildroot}%{_javadir}/ion-java-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/amazon-ion-java-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/ion-java-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/amazon-ion-java-%{namedversion} -x META-INF/\*
%{__ln_s} amazon-ion-java-%{namedversion} %{buildroot}%{_javadocdir}/amazon-ion-java
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE NOTICE README.md
%{_javadir}/ion-java-%{namedversion}.jar
%{_javadir}/ion-java.jar
%if %with javadoc
%{_javadir}/ion-java-%{namedversion}-javadoc.jar
%{_javadir}/ion-java-javadoc.jar
%endif
%{_javadir}/ion-java-%{namedversion}-sources.jar
%{_javadir}/ion-java-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/ion-java-%{namedversion}
%{_javadocdir}/ion-java
%endif

%changelog
* Fri Jul 07 2023 cpaas-ops <cpaas-ops@redhat.com> - 1.0.2-3.redhat_00004.2
- Built by CPaaS

* Tue May 09 2023 cpaas-ops <cpaas-ops@redhat.com> - 1.0.2-2.redhat_00004.1
- Built by CPaaS

* Thu Apr 27 2023 Yong Yang <yyang@redhat.com> - 1.0.2-1.redhat_00002.1
- Init build

